// **********************************************************************
//
// Copyright (c) 1999
// Object Oriented Concepts, Inc.
// Billerica, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

#ifndef INTERFACE_IMPL_H
#define INTERFACE_IMPL_H

#include <Interface_skel.h>

class Module_Interface_impl : public Module_Interface_skel
{
public:

    Module_Interface_impl() { }

    virtual void method1() { }
    virtual void method2() { }
    virtual void method3() { }

    virtual void attribute1(CORBA_Long) { }
    virtual void attribute2(CORBA_Long) { }
    virtual void attribute3(CORBA_Long) { }

    virtual CORBA_Long attribute1() { return 0; }
    virtual CORBA_Long attribute2() { return 0; }
    virtual CORBA_Long attribute3() { return 0; }
};

#endif
